VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::vcenter::ovf::LibraryItemDefinitions Class Reference

Defines the type descriptors for the LibraryItem API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | deployableIdentity
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | resourcePoolDeploymentSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | storageGroupMapping
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | resultInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | deploymentResult
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | deploymentTarget
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | ovfSummary
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | createTarget
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | createSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | createResult
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | deployInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | deployOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | filterInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | filterOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | createInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | createOutput

## Detailed Description

Defines the type descriptors for the LibraryItem API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::ovf::LibraryItemDefinitions::createInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("client_token", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("source", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.ovf.LibraryItemDefinitions.deployableIdentity.Value)));
                    fields.Add("target", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.ovf.LibraryItemDefinitions.createTarget.Value)));
                    fields.Add("create_spec", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.ovf.LibraryItemDefinitions.createSpec.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::ovf::LibraryItemDefinitions::createOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.ovf.LibraryItemDefinitions.createResult.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::ovf::LibraryItemDefinitions::createResult`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("succeeded", new vmware.vapi.bindings.type.BooleanType());
                    fields.Add("ovf_library_item_id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("com.vmware.content.library.Item")));
                    fields.Add("error", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.ovf.LibraryItemDefinitions.resultInfo.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.ovf.library_item.create_result", fields, typeof(vmware.vcenter.ovf.LibraryItemTypes.CreateResult), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::ovf::LibraryItemDefinitions::createSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("name", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("description", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("flags", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType())));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.ovf.library_item.create_spec", fields, typeof(vmware.vcenter.ovf.LibraryItemTypes.CreateSpec), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::ovf::LibraryItemDefinitions::createTarget`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("library_id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("com.vmware.content.Library")));
                    fields.Add("library_item_id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("com.vmware.content.library.Item")));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.ovf.library_item.create_target", fields, typeof(vmware.vcenter.ovf.LibraryItemTypes.CreateTarget), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::ovf::LibraryItemDefinitions::deployableIdentity`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("type", new vmware.vapi.bindings.type.StringType());
                    fields.Add("id", new vmware.vapi.bindings.type.IdType("null"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(0);
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.ovf.library_item.deployable_identity", fields, typeof(vmware.vcenter.ovf.LibraryItemTypes.DeployableIdentity), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::ovf::LibraryItemDefinitions::deployInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("client_token", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("ovf_library_item_id", new vmware.vapi.bindings.type.IdType("com.vmware.content.library.Item"));
                    fields.Add("target", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.ovf.LibraryItemDefinitions.deploymentTarget.Value)));
                    fields.Add("deployment_spec", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.ovf.LibraryItemDefinitions.resourcePoolDeploymentSpec.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::ovf::LibraryItemDefinitions::deploymentResult`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("succeeded", new vmware.vapi.bindings.type.BooleanType());
                    fields.Add("resource_id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.ovf.LibraryItemDefinitions.deployableIdentity.Value))));
                    fields.Add("error", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.ovf.LibraryItemDefinitions.resultInfo.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.ovf.library_item.deployment_result", fields, typeof(vmware.vcenter.ovf.LibraryItemTypes.DeploymentResult), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::ovf::LibraryItemDefinitions::deploymentTarget`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("resource_pool_id", new vmware.vapi.bindings.type.IdType("ResourcePool"));
                    fields.Add("host_id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("HostSystem")));
                    fields.Add("folder_id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("Folder")));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.ovf.library_item.deployment_target", fields, typeof(vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::ovf::LibraryItemDefinitions::deployOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.ovf.LibraryItemDefinitions.deploymentResult.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::ovf::LibraryItemDefinitions::filterInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("ovf_library_item_id", new vmware.vapi.bindings.type.IdType("com.vmware.content.library.Item"));
                    fields.Add("target", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.ovf.LibraryItemDefinitions.deploymentTarget.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::ovf::LibraryItemDefinitions::filterOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.ovf.LibraryItemDefinitions.ovfSummary.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::ovf::LibraryItemDefinitions::ovfSummary`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("name", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("annotation", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("EULAs", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("networks", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType())));
                    fields.Add("storage_groups", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType())));
                    fields.Add("additional_params", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.DynamicStructType())));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.ovf.library_item.ovf_summary", fields, typeof(vmware.vcenter.ovf.LibraryItemTypes.OvfSummary), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::ovf::LibraryItemDefinitions::resourcePoolDeploymentSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("name", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("annotation", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("accept_all_EULA", new vmware.vapi.bindings.type.BooleanType());
                    fields.Add("network_mappings", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.StringType(), new vmware.vapi.bindings.type.IdType("Network"))));
                    fields.Add("storage_mappings", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.StringType(), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.ovf.LibraryItemDefinitions.storageGroupMapping.Value)))));
                    fields.Add("storage_provisioning", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.ovf.DiskProvisioningType))));
                    fields.Add("storage_profile_id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("StorageProfile")));
                    fields.Add("locale", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("flags", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType())));
                    fields.Add("additional_parameters", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.DynamicStructType())));
                    fields.Add("default_datastore_id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("Datastore")));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.ovf.library_item.resource_pool_deployment_spec", fields, typeof(vmware.vcenter.ovf.LibraryItemTypes.ResourcePoolDeploymentSpec), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::ovf::LibraryItemDefinitions::resultInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("errors", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.ovf.StructDefinitions.ovfError.Value))));
                    fields.Add("warnings", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.ovf.StructDefinitions.ovfWarning.Value))));
                    fields.Add("information", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.ovf.StructDefinitions.ovfInfo.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.ovf.library_item.result_info", fields, typeof(vmware.vcenter.ovf.LibraryItemTypes.ResultInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::ovf::LibraryItemDefinitions::storageGroupMapping`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.ovf.LibraryItemTypes.StorageGroupMapping.Type)));
                    fields.Add("datastore_id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("Datastore")));
                    fields.Add("storage_profile_id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("StorageProfile")));
                    fields.Add("provisioning", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.ovf.DiskProvisioningType))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("DATASTORE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("datastore_id", false)});
                    caseFields.Add("STORAGE_PROFILE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("storage_profile_id", false)});
                    validators.Add(new vmware.vapi.data.UnionValidator("type", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.ovf.library_item.storage_group_mapping", fields, typeof(vmware.vcenter.ovf.LibraryItemTypes.StorageGroupMapping), validators, false, null);
                })

The documentation for this class was generated from the following file:

- LibraryItemDefinitions.cs